## xswallow 1.0.11-3

=== debian/changelog ===
xswallow (1.0.11-3) frozen; urgency=low

  * Fixed lintian errors: errors in file permissions.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  6 Nov 1998 19:46:31 +0100

xswallow (1.0.11-2) unstable; urgency=low

  * Moved to contrib section.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 30 Oct 1998 15:31:53 +0100

xswallow (1.0.11-1) unstable; urgency=low

  * Added new source and prepared it to recompile it.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  4 May 1998 16:36:29 +0200

xswallow (1.0.10-2) unstable; urgency=low

  * Converted from RPM binary format to debian

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 3 May 1998 18:46:11 +0200

Local variables:
mode: debian-changelog
End:
