=== debian/control ===
Source: xswallow
Section: contrib/web
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Standards-Version: 2.4.0.0

Package: xswallow
Architecture: i386
Depends: ${shlibs:Depends} , netscape
Description: Netscape plug-in to allow any X program to be used as an inline viewer
 X Swallow is a plugin cobbled together to allow any X program to be
 used as an inline viewer for any appropiate MIME type. So a MIME type
 (e.g. x-world/x-vrml) for which there does not exist, as of the moment,
 a plug-in for Linux Netscape can be viewed inline with ordinary VRML
 viewers such as VRweb/Liquid Reality.
 .
 Also, it has all the abilities of mimeplugin by Carl Shimer &
 Michael J. Long, on which Xswallow is based, and can be therefore
 be used to handle MIME types that are handled by programs with no
 graphical interface, audio formats for the most part.
